package spotifymixerapi.api.redis;

import spotifymixerapi.api.spotify.Spotify_ExternalUrls;
import spotifymixerapi.api.spotify.Spotify_SimplifiedArtistObject;

import java.io.Serializable;

public class Redis_Spotify_SimplifiedArtistObject implements Serializable {

    Spotify_ExternalUrls external_urls;
    String href;
    String id;
    String name;
    String uri;

    public Redis_Spotify_SimplifiedArtistObject(Spotify_ExternalUrls external_urls, String href, String id, String name, String uri) {
        this.external_urls = external_urls;
        this.href = href;
        this.id = id;
        this.name = name;
        this.uri = uri;
    }

    public Redis_Spotify_SimplifiedArtistObject() {
    }

    public Redis_Spotify_SimplifiedArtistObject(Spotify_SimplifiedArtistObject artist){
        external_urls = artist.getExternal_urls();
        href = artist.getHref();
        id = artist.getId();
        name = artist.getName();
        uri =  artist.getUri();
    }

    public Spotify_ExternalUrls getExternal_urls() {
        return external_urls;
    }

    public void setExternal_urls(Spotify_ExternalUrls external_urls) {
        this.external_urls = external_urls;
    }

    public String getHref() {
        return href;
    }

    public void setHref(String href) {
        this.href = href;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUri() {
        return uri;
    }

    public void setUri(String uri) {
        this.uri = uri;
    }

    @Override
    public String toString() {
        return "Redis_Spotify_SimplifiedArtistObject{" +
                "external_urls=" + external_urls +
                ", href='" + href + '\'' +
                ", id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", uri='" + uri + '\'' +
                '}';
    }
}
