package spotifymixerapi.api;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class PlaylistDisplayInfoDto implements Serializable {

    String name;
    String id;
    String icon;
    String description;
    List<TrackDisplayInfoDto> trackDisplayInfoDtoList = new ArrayList<>();


    public PlaylistDisplayInfoDto(String description, String name, String id, String icon, List<TrackDisplayInfoDto> trackDisplayInfoDtoList) {
        this.description = description;
        this.name = name;
        this.id = id;
        this.icon = icon;
        this.trackDisplayInfoDtoList = trackDisplayInfoDtoList;
    }

    public PlaylistDisplayInfoDto() {
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public List<TrackDisplayInfoDto> getTrackDisplayInfoDtoList() {
        return trackDisplayInfoDtoList;
    }

    public void setTrackDisplayInfoDtoList(List<TrackDisplayInfoDto> trackDisplayInfoDtoList) {
        this.trackDisplayInfoDtoList = trackDisplayInfoDtoList;
    }

}
